/* ccgo: ccgo.cc
 * 
 * the main program
 *
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 *
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "ccgo.hh"

MainWin::MainWin() :
	Window(GTK_WINDOW_TOPLEVEL)
{
	Gtk::VBox * v;
	Gtk::Label * l;
	Gtk::Button * b;
	v = manage(new Gtk::VBox);

	l = manage(new Gtk::Label(" ccgo "));
	v->pack_start(* l, false);
	l->show();

	b = manage(new Gtk::Button(" IGS "));
	b->clicked.connect(slot(this, & MainWin::open_igs));
	v->pack_start(* b, false);
	b->show();

	b = manage(new Gtk::Button(" Quit "));
	b->clicked.connect(destroy.slot());
	v->pack_start(* b, false);
	b->show();

	add(* v);
	v->show();
}

void MainWin::open_igs()
{
	Igs * i = manage(new Igs);
	i->show();
}

int main(int argc, char *argv[], char *envp[])
{
	Gtk::Main m(&argc, &argv);
	MainWin mw;
	mw.show();
	mw.destroy.connect(Gtk::Main::quit.slot());
	Gtk::Main::run();
	return 0;
}
